Skip to main content

Statement PDF

Transactions can also be exported in the form of a statement PDF document. This can be doen by calling the transactions/statement endpoint in the Transaction API.

Request

Request Method: GET

https://api.enablenow.nl/transactions/statement

Use the following request parameters:

Parameter
Required
Description
consentId
Yes*
The Consent ID for which the statement will be generated.
userId
Yes*
The EnableNow User ID for which the statement will be generated.
externalUserId
Yes*
The External User ID for which the statement will be generated.
startDate
No
The inclusive lower date boundary for included transactions.
endDate
No
The upper date boundary for included transactions. If both startDate and endDate are provided, endDate must be equal to or after startDate.
* Exactly one identifier is required: consentId or userId, or externalUserId.

Example

For example, if the consentId is af86536d-34e3-4ebc-6c64-08db56ccef25, you would create a GET request to:

Request Method: GET

https://api.enablenow.nl/transactions/statement?consentId=af86536d-34e3-4ebc-6c64-08db56ccef25&startDate=2025-01-01&endDate=2025-03-31
// application/json request body should be absent

See Transactions API for the full API reference.

Response

The response returned is a PDF file (application/pdf).

The Content-Disposition response header includes a generated filename in this format:

EnableNow-Statement-<timestamp>.pdf